class GroovyClass {
  def people(names) {
    println "Received ${names.size()} names"
  }
  
  def receiveBlock(block) {
    println "Calling block"
    block()
  }

  def receiveBlockWParam(block) {
    println "Calling block with param"
    block(2)
  }
}